Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(125)

Unified Diff: compiler/scripts/dartc.sh

Issue 9168009: Adds extra measure of safety to dartc.sh and dartc_test.sh (Closed) Base URL: https://dart.googlecode.com/svn/branches/bleeding_edge/dart
Patch Set: Created 8 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | compiler/scripts/dartc_test.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: compiler/scripts/dartc.sh
diff --git a/compiler/scripts/dartc.sh b/compiler/scripts/dartc.sh
index a49242b6257de3f19eeed3d87bf701ebc5798af7..93ac5c1fe2a1d8e157fb258133be30a786bb00be 100755
--- a/compiler/scripts/dartc.sh
+++ b/compiler/scripts/dartc.sh
@@ -3,6 +3,8 @@
# for details. All rights reserved. Use of this source code is governed by a
# BSD-style license that can be found in the LICENSE file.
+set -e
+
SCRIPT_DIR=$(dirname $0)
DARTC_HOME=$(dirname $SCRIPT_DIR)
DARTC_LIBS=$DARTC_HOME/lib
« no previous file with comments | « no previous file | compiler/scripts/dartc_test.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698